Bug 175155 - Handle http 302 redirect request in satellite-sync
Handle http 302 redirect request in satellite-sync
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
John Matthews
:
Depends On: 558750 564299 564377
Blocks: 169796
  Show dependency treegraph
 
Reported: 2005-12-06 18:25 EST by Jason Connor
Modified: 2014-03-30 21:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 09:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2005-12-06 18:25:30 EST
Satellite sync will need to handle http 302 redirect requests if issued by the
server.
Comment 1 Pradeep Kilambi 2006-04-12 11:44:58 EDT
Satellite-sync basically uses the same code changes applicable to up2date.
rhnlib code is shared by satsync and up2date.

Flow:
- when you run satellite-sync it starts with downloading all the meta info and
other missing pkg and deps.

- for every package a GET request is sent to hosted .
- hosted redirects with 302 back to the client with akamai url
- client sends a request to akamai for pkg.
- if package avaiable:
     downlod it
- elif 4xx or 5xx from akamai:
     #send the request back to hosted, set no-redirect flag (avoid loops)
     #download pkg 
- elif 302 from akamai:
     #sends a 302 back to the redirect url and if hosted downloads the pkg.
 this is done for every package thats synced to a particular channel.
Comment 2 Beth Nackashi 2006-04-22 16:20:23 EDT
bperkins will be the QA contact for ISO/package redirect when (if?) it is
implemented
Comment 8 Miroslav Suchý 2010-02-12 10:00:40 EST
OK. With BZ 558750 fixed everything works. The trouble is that BZ 558750 has to go live before we enable CDN.
Once Errata for BZ 558750 will be released (hopefully RHEL5.5) then we can just bump up xml_dump_version to 3.4 and it will work.

Affected files with xml_dump_version are:
backend/rhn-conf/rhn_server_iss.conf
backend/rhn-conf/rhn_server_satellite.conf
satellite_tools/constants.py
Comment 9 Miroslav Suchý 2010-02-12 10:01:48 EST
s/558750/564299/ in previous comment
Comment 10 Miroslav Suchý 2010-02-18 05:38:09 EST
According to communication with jbowes there is difference in behaviour as described originaly by prad:
- elif 4xx or 5xx from akamai:
     #send the request back to hosted, set no-redirect flag (avoid loops)
     #download pkg 
Current behaviour is hit again akamai.

When I try CDN with fixed rhnlib, it works without problem. Flipping to MODIFIED.
Comment 11 Miroslav Suchý 2010-03-30 10:29:39 EDT
we should only bump up xml_dump_version everything else should be ok
spacewalk commits 4224697a524bc860894de87b54dd7ef0711f122d and 331cd64542b25e07147e755e93252489370f2956
Comment 15 errata-xmlrpc 2010-05-03 09:08:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0388.html

Note You need to log in before you can comment on or make changes to this bug.